
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;
import java.util.Scanner;
import java.util.Arrays;

/**
 * Bowser's Army
 *
 */
public class Team {

	static String format1 = "###0.000000" ;  
	static DecimalFormat fm1 = new DecimalFormat( format1,
			new DecimalFormatSymbols(Locale.US));

	public static void main(String[] args) throws Exception {
		String s;

		// read input
		Scanner sc = new Scanner( System.in );
		String line = sc.nextLine();
		Scanner lsc = new Scanner(line);

		// 1st line must be list of member types
		while (lsc.hasNext()) {
			String memberType = lsc.next();

		}
		
		// read in team rosters
		line = sc.nextLine();
		lsc = new Scanner(line);
		int tnum = lsc.nextInt();
		for (int i = 0; i< tnum; i++) {
			line = sc.nextLine();
			lsc = new Scanner(line);
			String ID = lsc.next();

			// read in list of team members
			while (lsc.hasNext()) {
				s = lsc.next();

			}
		}

		// read in command assignments
		line = sc.nextLine();
		lsc = new Scanner(line);
		int cnum = lsc.nextInt();
		for (int i = 0; i< cnum; i++) {
			line = sc.nextLine();
			lsc = new Scanner(line);
			String ID = lsc.next();

			// read in list of subordinate commanders
			while (lsc.hasNext()) {
				s = lsc.next();

				
			}
		}

		
		// handle commands one line at a time
		while (sc.hasNextLine()) {
			line = sc.nextLine();
			lsc = new Scanner(line);
			while (lsc.hasNext()) {
				s = lsc.next();
				int t;
				if (s.equals("ROSTER")) {
					s = lsc.next();

				
				} 
				else if (s.equals("VSCORE")) {
					s = lsc.next();

					double vscore = Math.log10(5.0);
					
					System.out.println(fm1.format(vscore));
				} 
				else if (s.equals("COMMANDER")) {
					s = lsc.next();
					
					
					System.out.println(s + " > NONE");
				} 
				else if (s.equals("COMMANDTEAM")) {
					// read in command team
					while (lsc.hasNext()) {
						s = lsc.next();

					
					} 
				} 
				else if (s.equals("BESTCOMMAND")) {
					double vscore = 1.0;
					System.out.println(fm1.format(vscore));

					String names [] = new String [10] ; 
					Arrays.sort(names);
					
				}
			}
		}
	}


}
